package com.zksy.info.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zksy.info.domain.EEmployeeInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
* @author Administrator
* @description 针对表【e_employee_info(员工基本信息表)】的数据库操作Service
* @createDate 2025-06-27 11:30:27
*/
public interface EEmployeeInfoService extends IService<EEmployeeInfo> {
    Page<EEmployeeInfo> findByPage(long pageNum, long pageSize, String workNumber,String fullName);
    List<EEmployeeInfo> getEEmployeeInfoList(String workNumber,String fullName);
    boolean saveEEmployeeInfo(EEmployeeInfo eEmployeeInfo, MultipartFile multipartFile);
    boolean updateEEmployeeInfo(EEmployeeInfo eEmployeeInfo, MultipartFile multipartFile);
    boolean removeBatchEEmployeeInfo(String[] ids);

}
